hmi::ExternalBeeper_1_0_1 Interface Reference

External Beeper interface. More...

`import"ExternalBeeper.idl";`

## Public Types

enum | State { OFF, ON, ALARMING }
| Beeper state.

## Public Member Functions

State | getState ()
| Get current beeper state.
void | alarm ()
| Start beeper alarm. More...
void | on ()
| Turn beeper on. More...
void | off ()
| Turn beeper off. More...

## Public Attributes

valueobject | StateChangedEvent: idl::Event { State oldState
| Event: beeper state has changed.
State | newState

## Detailed Description

External Beeper interface.

## Member Function Documentation

## alarm()

void hmi::ExternalBeeper_1_0_1::alarm | ( |  | ) |

Start beeper alarm.

Starts and repeats an alarm sequence of beeper on and beeper off. The sequence will be infinitely repeated until "off" is called.

## off()

void hmi::ExternalBeeper_1_0_1::off | ( |  | ) |

Turn beeper off.

Disables beeper sound and also stops beeper alarm.

## on()

void hmi::ExternalBeeper_1_0_1::on | ( |  | ) |

Turn beeper on.

Enables the beeper sound.

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/ExternalBeeper.idl